=== debian/changelog ===
yafaray (0.1.2~beta2-1) unstable; urgency=low

  * Initial release (Closes: #638653)

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Sun, 21 Aug 2011 19:00:00 +0200
