=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

INSTDIR=debian/tmp
PY3VERS=$(shell py3versions -drv debian/control)

%:
	dh $@ --buildsystem=cmake --builddirectory=build --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_LIBRARY_PATH=/usr/lib/yafaray \
		-DCMAKE_INSTALL_RPATH=/usr/lib/yafaray/bin \
		-DCMAKE_BUILD_TYPE=RELEASE \
		-DWITH_QT=OFF \
		-DYAF_PY_VERSION=$(PY3VERS)

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake --destdir=$(INSTDIR)

override_dh_install:
	mkdir -p debian/yafaray/usr/lib/yafaray/bin
	cp -rf $(INSTDIR)/$(CURDIR)/bindings/python/* \
		debian/yafaray/usr/lib/yafaray/bin
	dh_install

override_dh_pysupport:
