=== debian/watch ===
version=3
http://yafaray.org/sources/YafaRay.(.*).zip
