## yafaray 0.1.2~beta2.1

=== debian/changelog ===
yafaray (0.1.2~beta2.1-1) unstable; urgency=low

  * New upstream git snapshot release (commit ecab381, November 2011)
  * [62619ea] debian/rules: removing useless cmake parameter
  * [1d07b97] debian/rules: simplifying libs structure.
  * [0528340] debian/yafaray.install: adjusting lib paths.
  * [0ce2e7f] debian/yafaray.links: adjusting lib paths.
    Thanks to Pino Toscano (pino) for helping on these last 3 commits
  * [37e39a5] debian/control: removing useless autotools-dev from b-deps
  * [be1f8e4] debian/control: Recommends field updated
  * [72ba86e] debian/control: Uploaders field updated
  * [18aafd2] debian/control: uploader's email address changed
  * [c4d519f] debian/watch: path to sources updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 02 Jan 2012 15:20:37 +0100
