=== debian/watch ===
#version=3
#http://static.yafaray.org/sources/YafaRay.(.*).zip
