## yafaray 0.1.2%7ebeta2

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>,
-           Matteo F. Vescovi <mfv.debian@gmail.com>
-Build-Depends: cmake,
+Uploaders: Matteo F. Vescovi <m.vescovi@revese.it>
+Build-Depends: autotools-dev,
+               cmake,
                debhelper (>= 8),
                libfreetype6-dev,
                libjpeg8-dev,
@@ -26,7 +26,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: blender (>= 2.59)
+Recommends: blender
 Description: modern, xml-speaking raytracing-based rendering system
  YafaRay is an advanced raytracing rendering system with many modern features
  including full radiosity and High Dynamic Range Imaging (HDRI) for scene
