=== debian/changelog ===
yafaray (0.1.2+really0.1.2~beta5-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Set DMUA to yes.

  [ Matteo F. Vescovi ]
  * debian/watch: uscan path updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 22 Jun 2012 11:32:51 +0200

yafaray (0.1.2+really0.1.2~beta5-1) unstable; urgency=low

  * New upstream beta release.
    A misunderstanding with upstream brought to think that
    a snapshot release was the stable release, while it wasn't.
    Now trying to fix version numbering.
  * debian/patches/:
    + old #0001 dropped since applied upstream
    + new #0001 added to fix FTBFS on ARM.
      Thanks to Michele Castigliego for upstream support (Closes: #654625)
    + #0002 added to disable FAST_MATH optimization

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 23 May 2012 17:48:05 +0200

yafaray (0.1.2-2) unstable; urgency=low

  * debian/patches/: #0001 added to fix FTBFS with gcc-4.7.
    Thanks to Cyril Brulebois (KiBi) for the patch (Closes: #667426)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 04 Apr 2012 16:59:31 +0200

yafaray (0.1.2-1) unstable; urgency=low

  * New upstream stable release
  * debian/control: b-deps libpng12-dev => libpng-dev (Closes: #662572)
  * debian/control: Standards-Version bumped to 3.9.3

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 30 Mar 2012 16:37:15 +0200
