=== debian/control ===
Source: yafaray
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
           Matteo F. Vescovi <mfv.debian@gmail.com>
Build-Depends: cmake,
               debhelper (>= 8),
               libfreetype6-dev,
               libjpeg8-dev,
               libopenexr-dev,
               libpng-dev,
               libtiff-dev,
               libxml2-dev,
               python3-all-dev,
               swig,
               zlib1g-dev
X-Python3-Version: >= 3.2
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://www.yafaray.org
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/yafaray.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/yafaray.git

Package: yafaray
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: blender (>= 2.59)
Description: modern, xml-speaking raytracing-based rendering system
 YafaRay is an advanced raytracing rendering system with many modern features
 including full radiosity and High Dynamic Range Imaging (HDRI) for scene
 lighting. It reads a simple XML-based scene definition file and can be used
 as a renderer for Blender (2.5 version and above).
