=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

INSTDIR=debian/tmp
PY3VERS=$(shell py3versions -drv debian/control)

%:
	dh $@ --buildsystem=cmake --builddirectory=build --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DYAF_LIB_DIR="lib/yafaray" \
		-DCMAKE_INSTALL_RPATH=/usr/lib/yafaray \
		-DCMAKE_BUILD_TYPE=Release \
		-DWITH_QT=OFF \
		-DYAF_PY_VERSION=$(PY3VERS)

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake --destdir=$(INSTDIR)

override_dh_install:
	dh_install
	cp -rf $(INSTDIR)/$(CURDIR)/bindings/python/* \
		debian/yafaray/usr/lib/yafaray

override_dh_pysupport:
