=== debian/watch ===
version=3
http://githubredir.debian.net/github/YafaRay/Core/ (.+)\.(?:zip|tar\.gz|tar\.bz2)
