## yafaray 0.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,8 @@
 option(BUILDRELEASE "Enable release mode building of YafaRay" OFF)
 option(DEBUG_BUILD "Enable debug build mode" OFF)
 option(EMBED_FONT_QT "Embed font for QT GUI (usefull for some buggy QT installations)" OFF)
+option(FAST_MATH "Enable mathematic approximations to make code faster" ON)
+option(FAST_TRIG "Enable trigonometric approximations to make code faster" ON)
 
 ###### Packages and Definitions #########
 
@@ -287,12 +289,23 @@
 endif (USER_RELFLAGS)
 
 if (USER_DBGFLAGS)
-	set(CMAKE_CXX_FLAGS_DEBUG "${YAF_CXX_FLAGS_DEBUG} ${USER_DEBUG}" CACHE STRING "Debug compiler flags" FORCE)
+	set(CMAKE_CXX_FLAGS_DEBUG "${YAF_CXX_FLAGS_DEBUG} ${USER_DBGFLAGS}" CACHE STRING "Debug compiler flags" FORCE)
 else (USER_DBGFLAGS)
 	set(CMAKE_CXX_FLAGS_DEBUG "${YAF_CXX_FLAGS_DEBUG}" CACHE STRING "Debug compiler flags" FORCE)
 endif (USER_DBGFLAGS)
 
+# Code speedup due mathematical approximations
+if (FAST_MATH)
+	add_definitions(-DFAST_MATH)
+endif (FAST_MATH)
+
+if (FAST_TRIG)
+	add_definitions(-DFAST_TRIG)
+endif (FAST_TRIG)
+
 # Adding subdirectories
+set(dir include)
+file (GLOB_RECURSE headers "${dir}/*.h")
 
 add_subdirectory(src)
