=== src/bindings/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	FIND_PACKAGE(YafSWIG REQUIRED)
 	
 	IF(YAF_PY_VERSION GREATER 3.1)
-		SET(YAF_SWIG_MIN_VERSION 2.0.0)
+		SET(YAF_SWIG_MIN_VERSION 2.0.4)
 	ELSE(YAF_PY_VERSION GREATER 3.1)
 		SET(YAF_SWIG_MIN_VERSION 1.3.36)
 	ENDIF(YAF_PY_VERSION GREATER 3.1)
@@ -73,7 +73,7 @@
 	if(NOT WIN32)
 
 		if(NOT YAF_BINDINGS_PY_DIR)
-			set(YAF_BINDINGS_PY_DIR ${CMAKE_SOURCE_DIR}/bindings/python)
+			set(YAF_BINDINGS_PY_DIR ${CMAKE_BINARY_DIR}/bindings/python)
 		endif(NOT YAF_BINDINGS_PY_DIR)
 		
 	else(NOT WIN32)
@@ -105,11 +105,12 @@
 	if(APPLE) # use dynamic lookup for helping dlopen to find symbols properly - Jens
 		SET_TARGET_PROPERTIES(${SWIG_MODULE_yafrayinterface_REAL_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
 	endif(APPLE)
+	
 	if(WITH_QT)
 		SWIG_ADD_MODULE(yafqt PYTHON yafqt.i)
-	if(APPLE) # use dynamic lookup for helping dlopen to find symbols properly - Jens
-		SET_TARGET_PROPERTIES(${SWIG_MODULE_yafqt_REAL_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
-	endif(APPLE)
+		if(APPLE) # use dynamic lookup for helping dlopen to find symbols properly - Jens
+			SET_TARGET_PROPERTIES(${SWIG_MODULE_yafqt_REAL_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
+		endif(APPLE)
 
 	endif(WITH_QT)
 
@@ -138,7 +139,7 @@
 	if(NOT WIN32)
 
 		if(NOT YAF_BINDINGS_RUBY_DIR)
-			set(YAF_BINDINGS_RUBY_DIR ${CMAKE_SOURCE_DIR}/bindings/ruby)
+			set(YAF_BINDINGS_RUBY_DIR ${CMAKE_BINARY_DIR}/bindings/ruby)
 		endif(NOT YAF_BINDINGS_RUBY_DIR)
 		
 	else(NOT WIN32)
