=== debian/changelog ===
yafaray (0.1.5-3build1) trusty; urgency=medium

  * No-change rebuild for Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 13:02:29 +0100

yafaray (0.1.5-3) unstable; urgency=low

  * debian/patches/: patchset refreshed
    - 0003-Fix_FTBFS_due_to_assembler_code.patch updated
      to really fix FTBFS on various architectures

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 11 Sep 2013 12:05:58 +0200

yafaray (0.1.5-2) unstable; urgency=low

  * debian/patches/: patchset updated
    - 0003-Fix_FTBFS_due_to_assembler_code.patch added

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 10 Sep 2013 18:19:44 +0200

yafaray (0.1.5-1) unstable; urgency=low

  * New upstream stable release
    - debian/patches/: patchset updated
      - 0001-Fix_FTBFS_on_ARM.patch refreshed
      - 0002-Disable_FAST_MATH.patch dropped
        since the #include was removed upstream
      - 0003-Fix_FTBFS_against_python3.3.patch renamed to #0002
  * debian/: manpages moved to specific sub-directory
  * debian/rules: python bindings install path updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 09 Sep 2013 16:45:33 +0200

yafaray (0.1.2+really0.1.2~beta5-6) unstable; urgency=low

  * debian/yafaray.links: "lib" => "share" path changed

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 19 Aug 2013 11:43:46 +0200

yafaray (0.1.2+really0.1.2~beta5-5) unstable; urgency=low

  * Upload to unstable
    - debian/yafaray.links: install path updated to work
      with blender actually in unstable
    - debian/control: libjpeg8-dev => libjpeg-dev b-dep updated
    - debian/control: python3-dev (>= 3.3) => python3-dev
    - debian/control: X-Python3-Version dropped
    - debian/rules: PY3VERS "r" option dropped
  * debian/rules: cleanup of useless dh_pysupport

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 14 Jun 2013 18:28:54 +0200

yafaray (0.1.2+really0.1.2~beta5-4) experimental; urgency=low

  * debian/: dh bump 8 => 9
  * debian/control: blender version bumped in Recommends
  * debian/control: S-V 3.9.3 => 3.9.4 (no changes needed)
  * debian/control: DMUA flag dropped
  * debian/watch: source path updated.
    Thanks to Bart Martens (bartm) for the hint.
  * debian/patches/: #0003 added to fix FTBFS on Python 3.3.
    Thanks to Dmitrijs Ledkovs for the initial patch. (Closes: #692381)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 14 Mar 2013 11:46:17 +0100

yafaray (0.1.2+really0.1.2~beta5-3) experimental; urgency=low

  * debian/yafaray.links: link to /usr/share updated
    After Blender's path moving from /usr/lib to /usr/share,
    this change is mandatory to have YafaRay working properly.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 23 Jul 2012 14:57:28 +0200
