=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Uploaders: Alessio Treglia <alessio@debian.org>,
            Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends: cmake,
-               debhelper (>= 8),
+               debhelper (>= 9),
                libfreetype6-dev,
-               libjpeg8-dev,
+               libjpeg-dev,
                libopenexr-dev,
                libpng-dev,
                libtiff-dev,
                libxml2-dev,
-               python3-all-dev,
+               pkg-config,
+               python3-dev,
                swig,
                zlib1g-dev
-X-Python3-Version: >= 3.2
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.yafaray.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/yafaray.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/yafaray.git
@@ -27,7 +26,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: blender (>= 2.59)
+Recommends: blender (>= 2.63a-2)
 Description: modern, xml-speaking raytracing-based rendering system
  YafaRay is an advanced raytracing rendering system with many modern features
  including full radiosity and High Dynamic Range Imaging (HDRI) for scene
