=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 export DH_OPTIONS
 
 INSTDIR=debian/tmp
-PY3VERS=$(shell py3versions -drv debian/control)
+PY3VERS=$(shell py3versions -dv)
 
 %:
 	dh $@ --buildsystem=cmake --builddirectory=build --with python3
@@ -20,7 +20,5 @@
 
 override_dh_install:
 	dh_install
-	cp -rf $(INSTDIR)/$(CURDIR)/bindings/python/* \
+	cp -rf $(INSTDIR)/$(CURDIR)/build/bindings/python/* \
 		debian/yafaray/usr/lib/yafaray
-
-override_dh_pysupport:
